Bullet Collision Detection & Physics Library: btSparseSdf< CELLSIZE > Struct Template Reference

Bullet Collision Detection & Physics Library

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
btSparseSdf< CELLSIZE > Struct Template Reference

`#include <btSparseSDF.h>`

Collaboration diagram for btSparseSdf< CELLSIZE >:
[legend]

## Classes
struct | IntFrac
struct | Cell

## Public Member Functions
| ~btSparseSdf ()
void | Initialize (int hashsize=2383, int clampCells=256 *1024)
void | setDefaultVoxelsz (btScalar sz)
void | Reset ()
void | GarbageCollect (int lifetime=256)
int | RemoveReferences (btCollisionShape *pcs)
btScalar | Evaluate (const btVector3 &x, const btCollisionShape *shape, btVector3 &normal, btScalar margin)
void | BuildCell (Cell &c)

## Static Public Member Functions
static btScalar | DistanceToShape (const btVector3 &x, const btCollisionShape *shape)
static IntFrac | Decompose (btScalar x)
static btScalar | Lerp (btScalar a, btScalar b, btScalar t)
static unsigned int | Hash (int x, int y, int z, const btCollisionShape *shape)

## Public Attributes
btAlignedObjectArray< Cell * > | cells
btScalar | voxelsz
btScalar | m_defaultVoxelsz
int | puid
int | ncells
int | m_clampCells
int | nprobes
int | nqueries

## Detailed Description

template<const int CELLSIZE>
struct btSparseSdf< CELLSIZE >

Definition at line 58 of file btSparseSDF.h.

## Constructor & Destructor Documentation

## ◆ ~btSparseSdf()

template<const int CELLSIZE>

btSparseSdf< CELLSIZE >::~btSparseSdf | ( |  | ) |
| inline

Definition at line 91 of file btSparseSDF.h.

## Member Function Documentation

## ◆ BuildCell()

template<const int CELLSIZE>

void btSparseSdf< CELLSIZE >::BuildCell | ( | Cell & | c | ) |
| inline

Definition at line 289 of file btSparseSDF.h.

## ◆ Decompose()

template<const int CELLSIZE>

IntFrac btSparseSdf< CELLSIZE >::Decompose | ( | btScalar | x | ) |
| inlinestatic

Definition at line 325 of file btSparseSDF.h.

## ◆ DistanceToShape()

template<const int CELLSIZE>

btScalar btSparseSdf< CELLSIZE >::DistanceToShape | ( | const btVector3 & | x,
|  | const btCollisionShape * | shape )
| inlinestatic

Definition at line 311 of file btSparseSDF.h.

## ◆ Evaluate()

template<const int CELLSIZE>

btScalar btSparseSdf< CELLSIZE >::Evaluate | ( | const btVector3 & | x,
|  | const btCollisionShape * | shape,
|  | btVector3 & | normal,
|  | btScalar | margin )
| inline

Definition at line 196 of file btSparseSDF.h.

## ◆ GarbageCollect()

template<const int CELLSIZE>

void btSparseSdf< CELLSIZE >::GarbageCollect | ( | int | lifetime = 256 | ) |
| inline

Definition at line 136 of file btSparseSDF.h.

## ◆ Hash()

template<const int CELLSIZE>

unsigned int btSparseSdf< CELLSIZE >::Hash | ( | int | x,
|  | int | y,
|  | int | z,
|  | const btCollisionShape * | shape )
| inlinestatic

Definition at line 347 of file btSparseSDF.h.

## ◆ Initialize()

template<const int CELLSIZE>

void btSparseSdf< CELLSIZE >::Initialize | ( | int | hashsize = 2383,
|  | int | clampCells = 256 * 1024 )
| inline

Definition at line 100 of file btSparseSDF.h.

## ◆ Lerp()

template<const int CELLSIZE>

btScalar btSparseSdf< CELLSIZE >::Lerp | ( | btScalar | a,
|  | btScalar | b,
|  | btScalar | t )
| inlinestatic

Definition at line 341 of file btSparseSDF.h.

## ◆ RemoveReferences()

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::RemoveReferences | ( | btCollisionShape * | pcs | ) |
| inline

Definition at line 168 of file btSparseSDF.h.

## ◆ Reset()

template<const int CELLSIZE>

void btSparseSdf< CELLSIZE >::Reset | ( |  | ) |
| inline

Definition at line 116 of file btSparseSDF.h.

## ◆ setDefaultVoxelsz()

template<const int CELLSIZE>

void btSparseSdf< CELLSIZE >::setDefaultVoxelsz | ( | btScalar | sz | ) |
| inline

Definition at line 111 of file btSparseSDF.h.

## Member Data Documentation

## ◆ cells

template<const int CELLSIZE>

btAlignedObjectArray<Cell*> btSparseSdf< CELLSIZE >::cells

Definition at line 82 of file btSparseSDF.h.

## ◆ m_clampCells

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::m_clampCells

Definition at line 87 of file btSparseSDF.h.

## ◆ m_defaultVoxelsz

template<const int CELLSIZE>

btScalar btSparseSdf< CELLSIZE >::m_defaultVoxelsz

Definition at line 84 of file btSparseSDF.h.

## ◆ ncells

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::ncells

Definition at line 86 of file btSparseSDF.h.

## ◆ nprobes

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::nprobes

Definition at line 88 of file btSparseSDF.h.

## ◆ nqueries

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::nqueries

Definition at line 89 of file btSparseSDF.h.

## ◆ puid

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::puid

Definition at line 85 of file btSparseSDF.h.

## ◆ voxelsz

template<const int CELLSIZE>

btScalar btSparseSdf< CELLSIZE >::voxelsz

Definition at line 83 of file btSparseSDF.h.

The documentation for this struct was generated from the following file:

- btSparseSDF.h